ru.yandex.clickhouse.except

## Class ClickHouseExceptionSpecifier

- java.lang.Object
- - ru.yandex.clickhouse.except.ClickHouseExceptionSpecifier

    public final class ClickHouseExceptionSpecifier
    extends Object

Specify ClickHouse exception to ClickHouseException and fill it with a vendor code.

### Method Summary

All Methods Static Methods Concrete Methods
`static ClickHouseException` `specify(String clickHouseMessage, String host, int port)`
`static ClickHouseException` `specify(String clickHouseMessage, Throwable cause, String host, int port)` Here we expect the ClickHouse error message to be of the following format: "Code: 10, e.displayText() = DB::Exception: ...".
`static ClickHouseException` `specify(Throwable cause, String host, int port)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### specify

    public static ClickHouseException specify(Throwable cause,
                                              String host,
                                              int port)

#### specify

    public static ClickHouseException specify(String clickHouseMessage,
                                              String host,
                                              int port)

#### specify

    public static ClickHouseException specify(String clickHouseMessage,
                                              Throwable cause,
                                              String host,
                                              int port)

Here we expect the ClickHouse error message to be of the following format: "Code: 10, e.displayText() = DB::Exception: ...".